PIXINTERP2X(1)

NAME
pixinterp2x - interpolate a color pix file twice as large as the original

SYNOPSIS
pixinterp2x [-h] [-s squarefilesize] [-w file_width] [-n file_height] [infile.pix] > outfile.pix

DESCRIPTION
Pixinterp2x does a bilinear interpolation between the pixels of the input pix(5) file to create the output file. This program is most useful when creating images for photographing. Even though no additional image information is created, there may be significant photographic advantages to operating the display at it's highest resolution.

This is a very fast implementation of one special case of interpolation; the general tool for interpolation is pixscale(1).

-h  ``hires'' flag. Set both the height and width of the input to 1024. The default is 512x512.

-w file_width
    Specify the width (in pixels) of the scanlines in the input file. The default is 512.

-n file_height
    Specify the number of scanlines of input to be processed. The default is 512.

-s squarefilesize
    Specify both the number of pixels per scanline and the number of scanlines in the file to process.

The interpolated scanlines fall exactly half way between the input lines, and the input lines are exactly preserved. Rather than extrapolate beyond the edges of the file, the first X and Y line is duplicated (left and bottom edge). This differs from the behavior of pixscale(1).

SEE ALSO
brlcad(1), pixscale(1), pix(5).

BUGS
More memory is used than is strictly necessary.

AUTHOR
Michael John Muuss

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.